Get workspace plan details
curl --request GET \
--url https://api.instantly.ai/api/v2/workspace-billing/plan-details \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/workspace-billing/plan-details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/workspace-billing/plan-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/workspace-billing/plan-details")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/workspace-billing/plan-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/workspace-billing/plan-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"organization_id": "019f985c-93e6-7a60-893e-347c0737a7a0",
"organization_name": "My Default Workspace",
"subscriptions": {
"outreach": {
"plan_name": "Free Trial",
"addons_qty": 2,
"total_lead_limit": 100,
"current_lead_count": 10,
"base_lead_limit": 25000,
"interval": "month",
"current_period_end": 1704067200,
"cancel_at_time": 1704067200,
"price_in_dollars": 97,
"product_id": "pid_g_v1"
},
"credits": {
"plan_name": "Free Trial",
"total_credits": 100,
"available_credits": 75,
"interval": "month",
"current_period_end": 1704067200,
"cancel_at_time": 1704067200,
"price_in_dollars": 97,
"product_id": "pid_gic_v1",
"price_option_id": "growth_2000"
},
"bundle": {
"plan_name": "Scale Bundle",
"total_lead_limit": 25000,
"current_lead_count": 10,
"base_lead_limit": 25000,
"interval": "month",
"current_period_end": 1704067200,
"cancel_at_time": 1704067200,
"price_in_dollars": 175,
"product_id": "pid_bundle_scale_v1"
},
"crm": {
"plan_name": "Growth CRM",
"interval": "month",
"current_period_end": 1704067200,
"cancel_at_time": 1704067200,
"price_in_dollars": 47,
"product_id": "pid_crm_g",
"available_credits": null,
"plan_limit": null
},
"website_visitors": {
"plan_name": "Hyper Visitors",
"interval": "month",
"current_period_end": 1704067200,
"cancel_at_time": 1704067200,
"price_in_dollars": 97,
"product_id": "pid_hv_v1",
"available_credits": 280,
"plan_limit": 500
},
"inbox_placement": {
"plan_name": "Growth Inbox Placement",
"interval": "month",
"current_period_end": 1704067200,
"cancel_at_time": 1704067200,
"price_in_dollars": 47,
"product_id": "pid_ip_g",
"available_credits": null,
"plan_limit": null
}
},
"addons": {
"outreach": {
"product_id": "pid_addon_25kl_v1",
"unit_lead_limit": 25000,
"existing_quantity": 2,
"max_quantity": 20,
"interval": "month",
"can_purchase": true,
"purchase_blocked_reason": "advanced_outreach_plan_required",
"annual_discount_percent": 20,
"monthly_pricing_tiers": [
{
"from_quantity": 1,
"to_quantity": 5,
"price_in_dollars": 87
}
]
},
"credits": {
"product_id": "pid_addon_ic_50k_v1",
"annual_product_id": "pid_addon_ic_50k_v1_annual",
"unit_credits": 50000,
"annual_unit_credits": 600000,
"existing_quantity": 2,
"max_quantity": 10,
"interval": "month",
"can_purchase": true,
"purchase_blocked_reason": "hyper_credits_plan_required",
"monthly_price_in_dollars": 425,
"annual_price_in_dollars": 5100
}
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Workspace Billing
Get workspace plan details
Requires one of the following scopes: workspace_billing:read, workspace_billing:all, all:read, all:all
GET
/
api
/
v2
/
workspace-billing
/
plan-details
Get workspace plan details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I